<ul>
    <app-petition-item *ngFor="let petition of petitions" [petition]="petition"
        [isSelected]="petition === selectedPetition" (click)="selectPetition(petition)"></app-petition-item>
</ul>

<app-petition-details *ngIf="selectedPetition" [petition]="selectedPetition"></app-petition-details>